Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/auth/device-approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_code": "<string>",
"user_key": "<string>",
"as_admin": false
}
'{
"success": true,
"message": "<string>"
}Approve a device code from the dashboard. Generates a daemon JWT.
curl --request POST \
--url https://api.hyperspell.com/auth/device-approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_code": "<string>",
"user_key": "<string>",
"as_admin": false
}
'{
"success": true,
"message": "<string>"
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?